# ProviderViewModel

#### new Cesium.ProviderViewModel(options)
Widgets/BaseLayerPicker/ProviderViewModel.js 33

  A view model that represents each item in the `BaseLayerPicker`.

  Name | Type | Description
  --- | --- | ---

  `options`

  Object

  The object containing all parameters.

  Name | Type | Description
  --- | --- | ---
  `name` | String | The name of the layer.
  `tooltip` | String | The tooltip to show when the item is moused over.
  `iconUrl` | String | An icon representing the layer.
  `creationFunction` | ProviderViewModel~CreationFunction | Command | A function or Command that creates one or more providers which will be added to the globe when this item is selected.

  ##### See:

  - BaseLayerPicker
  - ImageryProvider
  - TerrainProvider

### Members

#### creationCommand : Command
Widgets/BaseLayerPicker/ProviderViewModel.js 85

  Gets the Command that creates one or more providers which will be added to the globe when this item is selected.

#### iconUrl : String
Widgets/BaseLayerPicker/ProviderViewModel.js 72

  Gets the icon. This property is observable.

#### name : String
Widgets/BaseLayerPicker/ProviderViewModel.js 60

  Gets the display name. This property is observable.

#### tooltip : String
Widgets/BaseLayerPicker/ProviderViewModel.js 66

  Gets the tooltip. This property is observable.

### Type Definitions

#### CreationFunction() → ImageryProvider|TerrainProvider|Array.<ImageryProvider>|Array.<TerrainProvider>
Widgets/BaseLayerPicker/ProviderViewModel.js 92

  A function which creates one or more providers.

  ##### Returns:

  The ImageryProvider or TerrainProvider, or array of providers, to be added to the globe.